import DEFAULT from '@/layouts/default';
import ANSWER from '@/layouts/answer';

/**
 * 练习管理创建
 */
const ExerciseCreatePage = {
  path: '/exercise',
  component: DEFAULT,
  redirect: '/exercise/create',
  children: [
    {
      path: 'create',
      component: () => import('@/views/exercise_questions/create/index.vue'),
    },
  ],
};

/**
 * 练习题答题
 */
const AnswerPage = {
  path: '/answer',
  component: ANSWER,
  redirect: 'Answer',
  children: [
    {
      path: '/answer',
      name: 'Answer',
      component: () => import('@/views/exercise_questions/answer/index.vue'),
    },
  ],
};

export default [ExerciseCreatePage, AnswerPage];
